tbb::flow::interface9::opencl_memory< Factory > Class Template Referenceabstract
Inheritance diagram for tbb::flow::interface9::opencl_memory< Factory >:

## Public Member Functions

| opencl_memory (Factory &f)
cl_mem | get_cl_mem () const
void * | get_host_ptr ()
Factory * | factory () const
dependency_msg< void *, Factory > | send (opencl_device d, const cl_event *e)
dependency_msg< void *, Factory > | receive (const cl_event *e)
virtual void | map_memory (opencl_device, dependency_msg< void *, Factory > &)=0

## Protected Attributes

cl_mem | my_cl_mem
tbb::atomic < opencl_device::device_id_type > | my_curr_device_id
void * | my_host_ptr
Factory * | my_factory
tbb::spin_mutex | my_sending_lock
bool | my_sending_event_present
cl_event | my_sending_event

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.